Bug 723320 - file conflicts: file /usr/lib64/python2.7/site-packages/report/__init__.py conflicts between attempted installs of report-0.23-0.fc16.x86_64 and libreport-python-2.0.5-1.fc16.x86_64
file conflicts: file /usr/lib64/python2.7/site-packages/report/__init__.py co...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: report (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jiri Moskovcak
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F16Alpha/F16AlphaBlocker
  Show dependency treegraph
 
Reported: 2011-07-19 14:40 EDT by James Laska
Modified: 2015-02-01 17:54 EST (History)
6 users (show)

See Also:
Fixed In Version: libreport-2.0.5-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-21 13:59:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2011-07-19 14:40:22 EDT
Description of problem:

File conflicts when attempting a default rawhide/f16 install.


Version-Release number of selected component (if applicable):
 * report-0.23-0.fc16.x86_64
 * libreport-python-2.0.5-1.fc16.x86_64

How reproducible:
Everytime so far ...

Steps to Reproduce:
1. Follow steps outlined in the following procedure ... http://fedoraproject.org/wiki/QA:Testcase_Package_Sets_Default_Package_Install
  
Actual results:

14:31:01,004 DEBUG anaconda: dispatch: installpackages is a direct step14:31:01,004 INFO anaconda: Preparing to install packages
14:32:14,580 ERR anaconda: file conflicts: file /usr/lib64/python2.7/site-packages/report/__init__.py conflicts between attempted installs of report-0.23-0.fc16.x86_64 and libreport-python-2.0.5-1.fc16.x86_64
14:32:14,581 ERR anaconda: file conflicts: file /usr/lib64/python2.7/site-packages/report/__init__.pyc conflicts between attempted installs of report-0.23-0.fc16.x86_64 and libreport-python-2.0.5-1.fc16.x86_64
14:32:14,581 ERR anaconda: file conflicts: file /usr/lib64/python2.7/site-packages/report/__init__.pyo conflicts between attempted installs of report-0.23-0.fc16.x86_64 and libreport-python-2.0.5-1.fc16.x86_64
14:32:14,582 E[  601.785279] serial8250: too much work for irq4RR anaconda: file conflicts: file /usr/lib64/python2.7/site-packages/report/accountmanager.py conflicts between attempted installs of report-0.23-0.fc16.x86_64 and libreport-pytho
n-2.0.5-1.fc16.x86_64
14:32:14,582 ERR anaconda: file conflicts: file /usr/lib64/python2.7/site-packages/report/accountmanager.pyc conflicts between attempted installs of report-0.23-0.fc16.x86_64 and 
libreport-python-2.0.5-1.fc16.x86_64
14:32:14,582 ERR anaconda: file conflicts: file /usr/lib64/python2.7/site-packages/report/accountmanager.pyo conflicts between attempted installs of report-0.23-0.fc16.x86_64 and 
libreport-python-2.0.5-1.fc16.x86_64
14:32:14,583 ERR anaconda: file conflicts: file /usr/lib64/python2.7/site-packages/report/io/TextIO.py conflicts between attempted installs of report-0.23-0.fc16.x86_64 and librep
ort-python-2.0.5-1.fc16.x86_64
14:32:14,583 ERR anaconda: file conflicts: file /usr/lib64/python2.7/site-packages/report/io/TextIO.pyc conflicts between attempted installs of report-0.23-0.fc16.x86_64 and libre
port-python-2.0.5-1.fc16.x86_64
14:32:14,583 ERR anaconda: file conflicts: file /usr/lib64/python2.7/site-packages/report/io/TextIO.pyo conflicts between attempted installs of report-0.23-0.fc16.x86_64 and libre
port-python-2.0.5-1.fc16.x86_64
14:32:14,584 ERR anaconda: file conflicts: file /usr/lib64/python2.7/site-packages/report/io/__init__.py conflicts between attempted installs of report-0.23-0.fc16.x86_64 and libr
eport-python-2.0.5-1.fc16.x86_64
14:32:14,589 ERR anaconda: file conflicts: file /usr/lib64/python2.7/site-packages/report/io/__init__.pyc conflicts between attempted installs of report-0.23-0.fc16.x86_64 and lib
report-python-2.0.5-1.fc16.x86_64
14:32:14,589 ERR anaconda: file conflicts: file /usr/lib64/python2.7/site-packages/report/io/__init__.pyo conflicts between attempted installs of report-0.23-0.fc16.x86_64 and lib
report-python-2.0.5-1.fc16.x86_64
14:32:14,590 ERR anaconda: file conflicts: file /usr/lib64/python2.7/site-packages/report/io/GTKIO.py conflicts between attempted installs of report-gtk-0.23-0.fc16.x86_64 and lib
report-python-2.0.5-1.fc16.x86_64
14:32:14,590 ERR anaconda: file conflicts: file /usr/lib64/python2.7/site-packages/report/io/GTKIO.pyc conflicts between attempted installs of report-gtk-0.23-0.fc16.x86_64 and li
breport-python-2.0.5-1.fc16.x86_64
14:32:14,590 ERR anaconda: file conflicts: file /usr/lib64/python2.7/site-packages/report/io/GTKIO.pyo conflicts between attempted installs of report-gtk-0.23-0.fc16.x86_64 and libreport-python-2.0.5-1.fc16.x86_64
sh-4.2# 


Expected results:

No file conflicts during install


Additional info:

 * qualifies as a F16 Alpha blocker per the following criteria (http://fedoraproject.org/wiki/Fedora_16_Alpha_Release_Criteria)

   "There must be no file conflicts (cases where the files in some packages conflict but the packages have explicit Conflicts: tags are acceptable) or unresolved package dependencies during a media-based (DVD) install "
Comment 1 Andre Robatino 2011-07-19 14:52:16 EDT
I saw the same error on today's Rawhide x86_64 update. I used --exclude=\*report\* (together with the usual --skip-broken) to work around it. This is the first file conflict error I've seen in Rawhide updates in a while.
Comment 2 Tim Flink 2011-07-21 12:36:09 EDT
This pretty clearly hits the criterion that James mentioned. +1 alpha blocker
Comment 3 Jiri Moskovcak 2011-07-21 13:59:09 EDT
Fixed in rawhide by libreport-2.0.5-2.fc16.

Note You need to log in before you can comment on or make changes to this bug.